# Glib::Variant< VariantBase > Class Template Reference
[Variant Datatype]

Specialization of Glib::Variant containing a Glib::VariantBase. More...

`#include <glibmm/variant.h>`

Inheritance diagram for Glib::Variant< VariantBase >:
[legend]

List of all members.

## Public Types
typedef GVariant* | CType
## Public Member Functions
| Variant ()
| Variant (GVariant* castitem)
VariantBase | get () const
## Static Public Member Functions
static const GVariantType* | variant_type ()
static Variant< VariantBase > | create (const Glib::VariantBase& data)

## Detailed Description

### template <>
class Glib::Variant< VariantBase >

Specialization of Glib::Variant containing a Glib::VariantBase.

Since glibmm 2.26:

## Member Typedef Documentation

typedef GVariant* Glib::Variant< VariantBase >::CType

## Constructor & Destructor Documentation

Glib::Variant< VariantBase >::Variant | ( |  | ) | `[inline]`

Glib::Variant< VariantBase >::Variant | ( | GVariant< VariantBase >* | castitem | ) | `[inline, explicit]`

## Member Function Documentation

static Variant<VariantBase> Glib::Variant< VariantBase >::create | ( | const Glib::VariantBase& | data | ) | `[static]`

VariantBase Glib::Variant< VariantBase >::get | ( |  | ) | const

static const GVariantType* Glib::Variant< VariantBase >::variant_type | ( |  | ) | `[static]`